- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties

# QEventTransition Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qeventtransition.h.

`#include <qeventtransition.h>`

Inheritance diagram for QEventTransition:
[legend]

List of all members.

## Public Member Functions
| QEventTransition (QState *sourceState=0)
| QEventTransition (QObject *object, QEvent::Type type, QState *sourceState=0)
| ~QEventTransition ()
QObject * | eventSource () const
void | setEventSource (QObject *object)
QEvent::Type | eventType () const
void | setEventType (QEvent::Type type)
## Protected Member Functions
bool | eventTest (QEvent *event)
void | onTransition (QEvent *event)
bool | event (QEvent *e)
| QEventTransition (QEventTransitionPrivate &dd, QState *parent)
| QEventTransition (QEventTransitionPrivate &dd, QObject *object, QEvent::Type type, QState *parent)
## Properties
QObject | eventSource
QEvent::Type | eventType

## Constructor & Destructor Documentation

QEventTransition | ( | QState * | sourceState = `0` | ) |

QEventTransition | ( | QObject * | object,
|  | QEvent::Type | type,
|  | QState * | sourceState = `0`
| ) |  |

~QEventTransition | ( |  | ) |

QEventTransition | ( | QEventTransitionPrivate & | dd,
|  | QState * | parent
| ) |  | `[protected]`

QEventTransition | ( | QEventTransitionPrivate & | dd,
|  | QObject * | object,
|  | QEvent::Type | type,
|  | QState * | parent
| ) |  | `[protected]`

## Member Function Documentation

QObject* eventSource | ( |  | ) | const

Search for all occurrences

void setEventSource | ( | QObject * | object | ) |

Search for all occurrences

QEvent::Type eventType | ( |  | ) | const

Search for all occurrences

void setEventType | ( | QEvent::Type | type | ) |

Search for all occurrences

bool eventTest | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractTransition.

Reimplemented in QKeyEventTransition, and QMouseEventTransition.

void onTransition | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractTransition.

Reimplemented in QKeyEventTransition, and QMouseEventTransition.

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractTransition.

## Property Documentation

QObject eventSource `[read, write]`

Search for all occurrences

Definition at line 60 of file qeventtransition.h.

QEvent::Type eventType `[read, write]`

Search for all occurrences

Definition at line 61 of file qeventtransition.h.

The documentation for this class was generated from the following file:

- QtCore/qeventtransition.h

QEventTransition QEventTransition QEventTransition QEventTransition QEventTransition QEventTransition QEventTransition QEventTransition QEventTransition QEventTransition
QEventTransition QEventTransition QEventTransition QEventTransition QEventTransition QEventTransition QEventTransition QEventTransition QEventTransition QEventTransition